# StaticFactory Class Reference
[Widely used base classes and interfaces, Classes implemented in PHP's extension.]

Simple grouping class. More...

Inheritance diagram for StaticFactory:
[legend]

List of all members.

## Private Member Functions

| __construct ()

## Detailed Description

Simple grouping class.

Definition at line 18 of file StaticFactory.class.php.

## Constructor & Destructor Documentation

StaticFactory::__construct | ( |  | ) | `[final, private]`

Definition at line 20 of file StaticFactory.class.php.

Referenced by ContainerClassBuilder::buildContainer().

The documentation for this class was generated from the following file:

- core/Base/StaticFactory.class.php